For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • GETGet partner settings
      • PATCHUpdate partner settings
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralPartner settings

Get partner settings

GET
/settings
GET
/v1/settings
$curl https://api.sandbox.monite.com/v1/settings \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "api_version": "2024-05-25",
3 "commercial_conditions": [
4 "commercial_conditions"
5 ],
6 "currency": {
7 "default": "AED",
8 "exchange_rates": [
9 {
10 "base": "AED",
11 "rate": 0.98,
12 "to": "AED"
13 }
14 ]
15 },
16 "default_role": {
17 "key": "value"
18 },
19 "mail": {
20 "attach_documents_as_pdf": true,
21 "from_email_username": "from_email_username",
22 "from_name": "from_name"
23 },
24 "payable": {
25 "approve_page_url": "https://monite.com",
26 "allow_cancel_duplicates_automatically": true,
27 "allow_counterpart_autocreation": true,
28 "allow_counterpart_autolinking": true,
29 "allow_credit_note_autolinking": true,
30 "default_state": "default_state",
31 "enable_line_items": true,
32 "skip_approval_for_paid_invoice": true
33 },
34 "payments": {
35 "payment_page_domain": "payment_page_domain",
36 "payment_page_theme": {
37 "background_color": "background_color",
38 "border_radius": "border_radius",
39 "button": {
40 "primary_color": "primary_color",
41 "primary_hover_color": "primary_hover_color",
42 "secondary_color": "secondary_color",
43 "secondary_hover_color": "secondary_hover_color"
44 },
45 "card": {
46 "background_color": "background_color"
47 },
48 "font_color": "font_color",
49 "font_family": "font_family",
50 "font_link_href": "font_link_href",
51 "logo_src": "logo_src"
52 },
53 "support_email": "support_email"
54 },
55 "receivable": {
56 "create_without_personal_info": true,
57 "deduction_title": "deduction_title"
58 },
59 "units": [
60 {
61 "designation": "kg",
62 "name": "Kilogram"
63 }
64 ],
65 "website": "website"
66}
Partner-level settings apply to all entities of that partner. See also: * [Get entity settings](https://docs.monite.com/api/entities/get-entities-id-settings)
Was this page helpful?
Previous

Update partner settings

Next
Built with

Partner-level settings apply to all entities of that partner.

See also:

  • Get entity settings

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
api_versionenum
Default API version for partner.
commercial_conditionslist of strings

Unused. To specify the terms and conditions for invoices and quotes, use the commercial_condition_description field in those documents.

currencyobject
Custom currency exchange rates.
default_rolemap from strings to any
A default role to provision upon new entity creation.
mailobject

Settings for outgoing email. Used by:

  • accounts receivable emails, for example, emails sent by POST /recevables/{receivable_id}/send,
  • accounts payable approval notifications.
payableobject
Settings for accounts payable.
paymentsobject
Settings for the payments module.
receivableobject
Settings for accounts receivable.
unitslist of objects

Unused. To manage the measure units for your entities, use the /measure_units endpoints.

websitestring

The URL of the partner’s website. Must be an HTTPS URL. Required if the partner’s entities use payment links. The “Powered by” badge in the payment page footer will link to this website.

Errors

400
Get Settings Request Bad Request Error
401
Get Settings Request Unauthorized Error
403
Get Settings Request Forbidden Error
404
Get Settings Request Not Found Error
422
Get Settings Request Unprocessable Entity Error
429
Get Settings Request Too Many Requests Error